org.apache.http.impl.cookie

## Class NetscapeDraftSpec

- java.lang.Object
- - org.apache.http.impl.cookie.AbstractCookieSpec
  - - org.apache.http.impl.cookie.CookieSpecBase
    - - org.apache.http.impl.cookie.NetscapeDraftSpec

- All Implemented Interfaces:
    CookieSpec

      @Obsolete
      @Contract(threading=SAFE)
      public class NetscapeDraftSpec
      extends CookieSpecBase

  该`CookieSpec`实现符合Netscape Communications发布的原始草案规范。 除非与传统应用程序的兼容性绝对必要，否则应该避免这种情况。

  由`RFC6265LaxSpec`呈现过时。

  从以下版本开始：
    4
  另请参见：
    `RFC6265LaxSpec`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `EXPIRES_PATTERN`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `NetscapeDraftSpec()`
    `NetscapeDraftSpec(String[] datepatterns)` 默认构造函数

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Header>` | `formatCookies(List<Cookie> cookies)` 为一系列Cookie创建 `"Cookie"`标题。
    `int` | `getVersion()` 返回该cookie规范符合的状态管理版本。
    `Header` | `getVersionHeader()` 返回一个标识什么版本的状态管理规范被理解的请求头。
    `List<Cookie>` | `parse(Header header, CookieOrigin origin)` 将Set-Cookie值解析为 `Cookie`的数组。
    `String` | `toString()`

    - ### Methods inherited from class org.apache.http.impl.cookie.CookieSpecBase

      `getDefaultDomain, getDefaultPath, match, parse, validate`

    - ### Methods inherited from class org.apache.http.impl.cookie.AbstractCookieSpec

      `findAttribHandler, getAttribHandler, getAttribHandlers, registerAttribHandler`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### 字段详细信息

    - #### EXPIRES_PATTERN

          protected static final String EXPIRES_PATTERN

      另请参见：
        Constant Field Values

  - ### 构造方法详细信息

    - #### NetscapeDraftSpec

          public NetscapeDraftSpec(String[] datepatterns)

      默认构造函数

    - #### NetscapeDraftSpec

          public NetscapeDraftSpec()

  - ### 方法详细信息

    - #### parse

          public List<Cookie> parse(Header header,
                           CookieOrigin origin)
                             throws MalformedCookieException

      将Set-Cookie值解析为`Cookie`的数组。

      Set-Cookie HTTP响应头的语法：

      这是CGI脚本用于向HTTP标头添加新的数据的格式，客户端将要存储的一段数据以供以后检索。

            Set-Cookie: NAME=VALUE; expires=DATE; path=PATH; domain=DOMAIN_NAME; secure

      请注意，Netscape草案规范不完全符合HTTP头格式。 如果`Set-Cookie`存在逗号字符，则不会被视为标题元素分隔符

      参数
        `header` - 从服务器接收的 `Set-Cookie`
        `origin` - cookie起源的细节
      结果
        从Set-Cookie值解析出 `Cookie`的数组
      异常
        `MalformedCookieException` - 如果在解析期间发生异常
      另请参见：
        The Cookie Spec.

    - #### formatCookies

          public List<Header> formatCookies(List<Cookie> cookies)

      说明从接口`CookieSpec`复制
      为Cookie数组创建 `"Cookie"`标题。
      参数
        `cookies` - 将Cookie格式转换为Cookie标题
      结果
        给定Cookie的标题。

    - #### getVersion

          public int getVersion()

      说明从接口`CookieSpec`复制
      返回该cookie规范符合的状态管理版本。
      结果
        版本的状态管理规范

    - #### getVersionHeader

          public Header getVersionHeader()

      描述从接口`CookieSpec`复制
      返回一个标识什么版本的状态管理规范被理解的请求头。 如果cookie规范不支持`Cookie2`标题，可能是`null` 。

    - #### toString

          public String toString()

      重写：
        `toString`在 `Object`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585